Runtime

## org.eclipse.gmf.runtime.common.ui.action
Interface IActionManagerChangeListener

All Superinterfaces:
  java.util.EventListener

public interface IActionManagerChangeListener
extends java.util.EventListener

The interface for all objects that are interested in action manager change events. To be such a listener, a class has to implement this interface and register itself as a listener on an action manager by calling `addActionManagerChangeListener()`. When no longer interested in receiving event notifications, it can deregister itself as a listener by calling `removeActionManagerChangeListener()` on the action manager.

See Also:
  `ActionManager`, `ActionManagerChangeEvent`

Method Summary
`void` `actionManagerChanged(ActionManagerChangeEvent event)` Handles an event indicating that an action manager has changed.

Method Detail

### actionManagerChanged

    public void actionManagerChanged(ActionManagerChangeEvent event)

  Handles an event indicating that an action manager has changed.

  Parameters:
    `event` - The action manager change event to be handled.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.